﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using AShermed.ApiLogCoreFramework.ContractModel;
using AShermed.ApiLogCoreFramework.Service;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;

namespace ASHermed.SinoInterface.WebApi.Controllers.Logs.v1
{
    /// <summary>
    /// 接口日志
    /// </summary>
    [Route("api/v1/[controller]")]
    [ApiVersion("1.0")]
    [ApiController]
    public class ApiLogsController : BaseController
    {
        #region 初始化

        /// <summary>
        /// 接口日志管理服务
        /// </summary>
        private readonly IAPILogService apiLogService;

        /// <summary>
        /// 默认构造函数
        /// </summary>
        /// <param name="_apiLogService"></param>
        public ApiLogsController(IAPILogService _apiLogService)
        {
            apiLogService = _apiLogService;
        }

        #endregion

        /// <summary>
        /// 分页查询接口日志数据
        /// </summary>
        /// <param name="param"></param>
        /// <returns></returns>
        //[HttpPost]
        //[Route("GetApiLogsPageList")]
        //public Task<BaseResponse<GetApiLogsPageListModel>> GetApiLogsPageList(GetApiLogsPageListParam param)
        //{
        //    return apiLogService.GetApiLogsPageList(param);
        //}

        /// <summary>
        /// 获取所有接口日志系统及接口名称信息
        /// </summary>
        /// <returns></returns>
        //[HttpGet]
        //[Route("GetAllApiLogsSystemInfo")]
        //public Task<BaseResponse<GetAllSystemInfoModel>> GetAllApiLogsSystemInfo()
        //{
        //    return apiLogService.GetAllApiLogsSystemInfo();
        //}
    }
}
